Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.io
Class OutputStreamNotSupportedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.io.ObjectStreamException
                              |
                              +--com.novell.java.io.OutputStreamNotSupportedException

public class OutputStreamNotSupportedException
extends java.io.ObjectStreamException

Signals that output stream access is not available.

The DataAccessable interface provides support for Input/Output streams and random access to the data of the DataAccessable object. Some devices do not support output stream access but might support the input stream or random access. This exception is thrown if an output stream open is attempted to a device that is not supported.

See Also:
  `NOutputStream`, Serialized Form

Constructor Summary
`OutputStreamNotSupportedException()` Constructs an OutputStreamNotSupportedException object with no detail message.
`OutputStreamNotSupportedException(java.lang.String s)` Constructs an OutputStreamNotSupportedException object with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputStreamNotSupportedException

    public OutputStreamNotSupportedException()

  Constructs an OutputStreamNotSupportedException object with no detail message.

### OutputStreamNotSupportedException

    public OutputStreamNotSupportedException(java.lang.String s)

  Constructs an OutputStreamNotSupportedException object with the specified detail message.
  Parameters:
    `s` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD